Package: org.codehaus.groovy.ast.tools

## [Java] Class ClassNodeUtils

- org.codehaus.groovy.ast.tools.ClassNodeUtils

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn, Map<String, MethodNode> allInterfaceMethods)`
    `` | `static void` | `addInterfaceMethods(ClassNode cnode, Map<String, MethodNode> methodsMap)`
    `` | `static Map<String, MethodNode>` | `getDeclaredMethodMapsFromInterfaces(ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn, Map<String, MethodNode> allInterfaceMethods)

    - #### public static void addInterfaceMethods(ClassNode cnode, Map<String, MethodNode> methodsMap)

    - #### public static Map<String, MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode classNode)